{$css}
{if not $_netzdingeDE_liefertagzeit_deliveryDays_exists}
    <div class="alert alert-danger">Erst die Datenbanktabelle "_netzdingeDE_liefertagzeit_deliveryDays" anlegen!</div>
{else}
    <h2>Liefertag anlegen</h2>
    {*$smarty.session.fields_arr|@var_dump*}
    <table class="table table-sm table-light">
        <thead class="thead-dark">
            <tr>
                <th scope="col" class="text-left">Wochentag</th>
                <th scope="col" class="text-left" style="white-space: nowrap;"><i class="fa fa-clock-o"></i> Start 1. Block</th>
                <th scope="col" class="text-left" style="white-space: nowrap;"><i class="fa fa-clock-o"></i> Ende 1. Block</th>
                <th scope="col" class="text-left" style="white-space: nowrap;"><i class="fa fa-clock-o"></i> Start 2. Block</th>
                <th scope="col" class="text-left" style="white-space: nowrap;"><i class="fa fa-clock-o"></i> Ende 2. Block</th>
                <th scope="col" class="text-left">Offset <i class="fa fa-info-circle" title="Zeit in Stunden (Kommawerte erlaubt) vom Bestellzeitpunkt bis zur fr&uuml;hesten Lieferzeit. Dezimalzahl angeben!" data-toggle="tooltip"></i></th>
                <th scope="col" class="text-left"><i class="fa fa-power-off"></i> Aktiv?</th></th></th>
                <th scope="col"></th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>
                    <form id="formDeliveryDaysNew" action="/admin/plugin.php?kPlugin={$oPlugin->kPlugin}&cPluginTab=Liefertage" method="post">
                        <input name="ndAction" type="hidden" value="insertDeliveryDay">
                        <select name="nWeekDay" form="formDeliveryDaysNew" class="form-control">
                            <option value="1"{if $smarty.session.fields_arr.nWeekDay == 1} selected="selected"{/if}>Montag</option>
                            <option value="2"{if $smarty.session.fields_arr.nWeekDay == 2} selected="selected"{/if}>Dienstag</option>
                            <option value="3"{if $smarty.session.fields_arr.nWeekDay == 3} selected="selected"{/if}>Mittwoch</option>
                            <option value="4"{if $smarty.session.fields_arr.nWeekDay == 4} selected="selected"{/if}>Donnerstag</option>
                            <option value="5"{if $smarty.session.fields_arr.nWeekDay == 5} selected="selected"{/if}>Freitag</option>
                            <option value="6"{if $smarty.session.fields_arr.nWeekDay == 6} selected="selected"{/if}>Samstag</option>
                            <option value="0"{if $smarty.session.fields_arr.nWeekDay == 0} selected="selected"{/if}>Sonntag</option>
                        </select>
                    </form>
                </td>
                <td style="width:40px; text-align: right;">
                    <select name="cTimeStart1" form="formDeliveryDaysNew" class="form-control" style="width: 100px;">
                    {for $hour=0 to 23}
                        <option value="{$hour|cat:":00"}"{if $smarty.session.fields_arr.cTimeStart1 == $hour|cat:":00"} selected="selected"{/if}>{$hour|cat:":00"}</option>
                        <option value="{$hour|cat:":30"}"{if $smarty.session.fields_arr.cTimeStart1 == $hour|cat:":30"} selected="selected"{/if}>{$hour|cat:":30"}</option>
                    {/for}
                    </select>
                </td>
                <td style="width:40px; text-align: right;">
                    <select name="cTimeEnd1" form="formDeliveryDaysNew" class="form-control" style="width: 100px;">
                    {for $hour=0 to 23}
                        <option value="{$hour|cat:":00"}"{if $smarty.session.fields_arr.cTimeEnd1 == $hour|cat:":00"} selected="selected"{/if}>{$hour|cat:":00"}</option>
                        <option value="{$hour|cat:":30"}"{if $smarty.session.fields_arr.cTimeEnd1 == $hour|cat:":30"} selected="selected"{/if}>{$hour|cat:":30"}</option>
                    {/for}
                    </select>
                </td>
                <td style="width:40px; text-align: right;">
                    <select name="cTimeStart2" form="formDeliveryDaysNew" class="form-control" style="width: 100px;">
                    {for $hour=0 to 23}
                        <option value="{$hour|cat:":00"}"{if $smarty.session.fields_arr.cTimeStart2 == $hour|cat:":00"} selected="selected"{/if}>{$hour|cat:":00"}</option>
                        <option value="{$hour|cat:":30"}"{if $smarty.session.fields_arr.cTimeStart2 == $hour|cat:":30"} selected="selected"{/if}>{$hour|cat:":30"}</option>
                    {/for}
                    </select>
                </td>
                <td style="width:40px; text-align: right;">
                    <select name="cTimeEnd2" form="formDeliveryDaysNew" class="form-control" style="width: 100px;">
                    {for $hour=0 to 23}
                        <option value="{$hour|cat:":00"}"{if $smarty.session.fields_arr.cTimeEnd2 == $hour|cat:":00"} selected="selected"{/if}>{$hour|cat:":00"}</option>
                        <option value="{$hour|cat:":30"}"{if $smarty.session.fields_arr.cTimeEnd2 == $hour|cat:":30"} selected="selected"{/if}>{$hour|cat:":30"}</option>
                    {/for}
                    </select>
                </td>
                <td><input name="nTimeOffset" form="formDeliveryDaysNew" type="number" step="0.01" value="{if $smarty.session.fields_arr.nTimeOffset}{$smarty.session.fields_arr.nTimeOffset}{else}0{/if}" class="form-control" size="10"></td>
                <td><input name="bAktiv" form="formDeliveryDaysNew" type="checkbox" value="1" class="form-check-input"  style="margin: 0 10px;"{if $smarty.session.fields_arr.bAktiv == 1} checked="checked"{/if}/></td>
                <td>
                    <button type="submit" form="formDeliveryDaysNew" class="btn btn-success"><i class="fa fa-plus" aria-hidden="true"></i></button>
                    <span style="width:40px;display: inline-block;"></span>
                </td>
            </tr>
        </tbody>
    </table>
    {*$_netzdingeDE_liefertagzeit_deliveryDays|@var_dump*}
    {if $_netzdingeDE_liefertagzeit_deliveryDays_exists}      
        <h2>vorhandene Liefertage</h2>
        <table class="table table-sm table-light">
            <thead class="thead-dark">
                <tr>
                    <th scope="col" class="text-left">Wochentag</th>
                    <th scope="col" class="text-left" style="white-space: nowrap;"><i class="fa fa-clock-o"></i> Start 1. Block</th>
                    <th scope="col" class="text-left" style="white-space: nowrap;"><i class="fa fa-clock-o"></i> Ende 1. Block</th>
                    <th scope="col" class="text-left" style="white-space: nowrap;"><i class="fa fa-clock-o"></i> Start 2. Block</th>
                    <th scope="col" class="text-left" style="white-space: nowrap;"><i class="fa fa-clock-o"></i> Ende 2. Block</th>
                    <th scope="col" class="text-left">Offset <i class="fa fa-info-circle" title="Zeit in Stunden (Kommawerte erlaubt!) vom Bestellzeitpunkt bis zur fr&uuml;hesten Lieferzeit. Dezimalzahl angeben!" data-toggle="tooltip"></i></th>
                    <th scope="col" class="text-left"><i class="fa fa-power-off"></i> Aktiv?</th></th></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
        {foreach name=liefertage from=$_netzdingeDE_liefertagzeit_deliveryDays item=liefertag}
                    <tr>
                        <td>
                            <form id="formDeliveryDays{$smarty.foreach.liefertage.iteration}" action="/admin/plugin.php?kPlugin={$oPlugin->kPlugin}&cPluginTab=Liefertage" method="post">
                                <input name="ndAction" type="hidden" value="updateDeliveryDay">
                                <input name="kDeliveryDay" type="hidden" value="{$liefertag->kDeliveryDay}">
                                
                            </form>
                            <select name="nWeekDay" form="formDeliveryDays{$smarty.foreach.liefertage.iteration}" class="form-control">
                                <option value="1"{if $liefertag->nWeekDay == 1} selected="selected"{/if}>Montag</option>
                                <option value="2"{if $liefertag->nWeekDay == 2} selected="selected"{/if}>Dienstag</option>
                                <option value="3"{if $liefertag->nWeekDay == 3} selected="selected"{/if}>Mittwoch</option>
                                <option value="4"{if $liefertag->nWeekDay == 4} selected="selected"{/if}>Donnerstag</option>
                                <option value="5"{if $liefertag->nWeekDay == 5} selected="selected"{/if}>Freitag</option>
                                <option value="6"{if $liefertag->nWeekDay == 6} selected="selected"{/if}>Samstag</option>
                                <option value="0"{if $liefertag->nWeekDay == 0} selected="selected"{/if}>Sonntag</option>
                            </select>
                        </td>
                        <td style="width:40px; text-align: right;">
                            <select name="cTimeStart1" form="formDeliveryDays{$smarty.foreach.liefertage.iteration}" class="form-control" style="width: 100px;">
                            {for $hour=0 to 23}
                                <option value="{$hour}:00"{if $liefertag->cTimeStart1 == $hour|cat:":00"} selected="selected"{/if}>{$hour|cat:":00"}</option>
                                <option value="{$hour}:30"{if $liefertag->cTimeStart1 == $hour|cat:":30"} selected="selected"{/if}>{$hour|cat:":30"}</option>
                            {/for}
                            </select>
                        </td>
                        <td style="width:40px; text-align: right;">
                            <select name="cTimeEnd1" form="formDeliveryDays{$smarty.foreach.liefertage.iteration}" class="form-control" style="width: 100px;">
                            {for $hour=0 to 23}
                                <option value="{$hour}:00"{if $liefertag->cTimeEnd1 == $hour|cat:":00"} selected="selected"{/if}>{$hour|cat:":00"}</option>
                                <option value="{$hour}:30"{if $liefertag->cTimeEnd1 == $hour|cat:":30"} selected="selected"{/if}>{$hour|cat:":30"}</option>
                            {/for}
                            </select>
                        </td>
                        <td style="width:40px; text-align: right;">
                            <select name="cTimeStart2" form="formDeliveryDays{$smarty.foreach.liefertage.iteration}" class="form-control" style="width: 100px;">
                            {for $hour=0 to 23}
                                <option value="{$hour}:00"{if $liefertag->cTimeStart2 == $hour|cat:":00"} selected="selected"{/if}>{$hour|cat:":00"}</option>
                                <option value="{$hour}:30"{if $liefertag->cTimeStart2 == $hour|cat:":30"} selected="selected"{/if}>{$hour|cat:":30"}</option>
                            {/for}
                            </select>
                        </td>
                        <td style="width:40px; text-align: right;">
                            <select name="cTimeEnd2" form="formDeliveryDays{$smarty.foreach.liefertage.iteration}" class="form-control" style="width: 100px;">
                            {for $hour=0 to 23}
                                <option value="{$hour}:00"{if $liefertag->cTimeEnd2 == $hour|cat:":00"} selected="selected"{/if}>{$hour|cat:":00"}</option>
                                <option value="{$hour}:30"{if $liefertag->cTimeEnd2 == $hour|cat:":30"} selected="selected"{/if}>{$hour|cat:":30"}</option>
                            {/for}
                            </select>
                        </td>
                        <td><input name="nTimeOffset" form="formDeliveryDays{$smarty.foreach.liefertage.iteration}" type="number" step="0.01" value="{$liefertag->nTimeOffset}" class="form-control" size="10"></td>
                        <td><input name="bAktiv" form="formDeliveryDays{$smarty.foreach.liefertage.iteration}" type="checkbox" value="1" class="form-check-input" style="margin: 0 10px;"{if $liefertag->bAktiv == 1} checked="checked"{/if}/></td>
                        <td>
                            <button type="submit" form="formDeliveryDays{$smarty.foreach.liefertage.iteration}" class="btn btn-success"><i class="fa fa-floppy-o" aria-hidden="true"></i></button>
                            <a href="/admin/plugin.php?kPlugin={$oPlugin->kPlugin}&ndAction=deleteDeliveryDay&kDeliveryDay={$liefertag->kDeliveryDay}&nWeekDay={$liefertag->nWeekDay}&cPluginTab=Liefertage" onclick="return window.confirm('Wirklich l&ouml;schen?');">
                                <button type="button" class="btn btn-danger"><i class="fa fa-trash-o" aria-hidden="true"></i></button>
                            </a>
                        </td>
                    </tr>
        {/foreach}
            </tbody>
        </table>
    {/if}
{/if}